col sid format 999
col state format a15
col waiting head "Waiting" format 9,999.99
col waited head "Waited" format 9,999.99
select sid, state, event,
       seconds_in_wait  waiting,
       wait_time/100    waited
from v$session
where event not in
(
  'SQL*Net message from client',
  'SQL*Net message to client',
  'rdbms ipc message'
)
and state = 'WAITING'
and username not in ('SYS','SYSTEM','SYSMAN','DBSNMP')
/
